Update a recurring payment plan

Rebuilds scheduled payments and updates the active recurring plan's type, period, totals, wallets, and dates.

Authentication

AuthorizationBearer

The signed-in SchoolSet user token sent by the frontend.

Path parameters

payment_recurring_idintegerRequired

Request

This endpoint expects a multipart form.
payment_type_iddoubleRequired
payment_recurring_period_iddoubleRequired
contract_fees_type_iddoubleOptional
payment_total_amountdoubleRequired>=0.01
old_payment_idslist of integersOptional
old_payment_amountslist of doublesOptional
old_payment_dateslist of datetimesOptional
old_grace_periodlist of integersOptional
new_payment_amountslist of doublesOptional
new_payment_dateslist of datetimesOptional
new_grace_periodlist of integersOptional
payment_datamap from strings to anyOptional
wallet_iddoubleOptional
secondary_wallet_iddoubleOptional
merchant_account_iddoubleOptional
is_creditbooleanOptional
notestringOptional<=255 characters

Response

Recurring plan saved.
statusstringOptional
messagestringOptional
datamap from strings to anyOptional

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
422
Unprocessable Entity Error